# IAlgebraPoolImmutables

## IAlgebraPoolImmutables

### Functions

#### dataStorageOperator

`dataStorageOperator()` view external

The contract that stores all the timepoints and can perform actions with them

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### factory

`factory()` view external

The contract that deployed the pool, which must adhere to the IAlgebraFactory interface

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token0

`token0()` view external

The first of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token1

`token1()` view external

The second of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### tickSpacing

`tickSpacing()` view external

The pool tick spacing

**Returns:**

| Name | Type  | Description |
| ---- | ----- | ----------- |
| \[0] | int24 |             |

#### maxLiquidityPerTick

`maxLiquidityPerTick()` view external

The maximum amount of position liquidity that can use any tick in the range

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | uint128 |             |

***

## IAlgebraPoolImmutables

### Functions

#### dataStorageOperator

`dataStorageOperator()` view external

The contract that stores all the timepoints and can perform actions with them

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### factory

`factory()` view external

The contract that deployed the pool, which must adhere to the IAlgebraFactory interface

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token0

`token0()` view external

The first of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token1

`token1()` view external

The second of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### tickSpacing

`tickSpacing()` view external

The pool tick spacing

**Returns:**

| Name | Type  | Description |
| ---- | ----- | ----------- |
| \[0] | int24 |             |

#### maxLiquidityPerTick

`maxLiquidityPerTick()` view external

The maximum amount of position liquidity that can use any tick in the range

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | uint128 |             |

***

## IAlgebraPoolImmutables

### Functions

#### dataStorageOperator

`dataStorageOperator()` view external

The contract that stores all the timepoints and can perform actions with them

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### factory

`factory()` view external

The contract that deployed the pool, which must adhere to the IAlgebraFactory interface

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token0

`token0()` view external

The first of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token1

`token1()` view external

The second of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### tickSpacing

`tickSpacing()` view external

The pool tick spacing

**Returns:**

| Name | Type  | Description |
| ---- | ----- | ----------- |
| \[0] | int24 |             |

#### maxLiquidityPerTick

`maxLiquidityPerTick()` view external

The maximum amount of position liquidity that can use any tick in the range

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | uint128 |             |

***

## IAlgebraPoolImmutables

### Functions

#### dataStorageOperator

`dataStorageOperator()` view external

The contract that stores all the timepoints and can perform actions with them

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### factory

`factory()` view external

The contract that deployed the pool, which must adhere to the IAlgebraFactory interface

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token0

`token0()` view external

The first of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### token1

`token1()` view external

The second of the two tokens of the pool, sorted by address

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | address |             |

#### tickSpacing

`tickSpacing()` view external

The pool tick spacing

**Returns:**

| Name | Type  | Description |
| ---- | ----- | ----------- |
| \[0] | int24 |             |

#### maxLiquidityPerTick

`maxLiquidityPerTick()` view external

The maximum amount of position liquidity that can use any tick in the range

**Returns:**

| Name | Type    | Description |
| ---- | ------- | ----------- |
| \[0] | uint128 |             |

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algebra.finance/algebra-integral-documentation/algebra-v1-technical-reference/contracts/api-reference-v1.0/v1.0-periphery/ialgebrapoolimmutables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
